Retrieve a single select list#
Description#
Returns a select list that matches the provided ID, or a 404 if no matching select list is found.
GET /api/v1/selectlist/{selectListId}
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
selectListId |
path |
string |
true |
The unique identifier of the select list |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId} \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId}" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/selectlist/{selectListId}', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with a body property, which contains a SelectListDto object for the requested select list.
Example Responses#
{
"body": {
"created": "string",
"description": "string",
"id": "string",
"name": "string",
"type": "string",
"updated": "string",
"userId": "string",
"valueType": "string",
"values": [
"undefined"
],
"version": "integer"
},
"code": "integer"
}